# Zoph 0.9.4 Readme #

## Introduction ##

Zoph (*Z*oph *O*rganizes *Ph*otos) is a web based digital image presentation
and management system. In other words, a photo album. It is built with
PHP and MySQL.

Many people store their photos in the digital equivalent of a shoe box:
lots of directories with names like 'Holiday 2008', 'January 2005' or
even 'Photos034'. Like shoe boxes, this is a great way to put your
photos away, but not such a great way to find them back or even look at
them. Zoph can help you to store your photos and keep them organized.

While most photo album projects are primarily targeted at showing your
photos to others, Zoph is primarily targeted at keeping your photos
organized for yourself, giving you granular control over what you'd 
like to show to others, on a per-album or even a per-photo basis.

If you just want to generate a gallery of thumbnails from a bunch of
images, you may want to try one of the other numerous photo album
projects. But if you want to also store additional information about
your photos, search them, or control access to them, take a look at Zoph.

## Installation ##

Read the the [Requirements](REQUIREMENTS.md), [Installation guide](INSTALL.md) docs.  If you are upgrading
from a previous version, read the [Upgrade Instructions](UPGRADE.md) document.

More documentation can be found in the [Zoph Wikibook](http://en.wikibooks.org/wiki/zoph)

## Copying ##

Zoph is free software.  It is released under the GPL license. Please 
read the file [license](COPYING) for more details

## Feedback ##
   
Please report issues via https://github.com/jeroenrnl/zoph/issues
http://www.zoph.org

## Thanks ##

Zoph makes use of the following packages, for which I thank their authors
for making available:

HTML Mime Mail class by Richard Heyes
http://www.phpguru.org/mime.mail.html

PHP Calendar class by David Wilkinson
http://www.cascade.org.uk/software/php/calendar/index.php

Rycks Translation Project by Eric Seigne
(website no longer available)   

Mapstraction Mapping abstraction project
http://www.mapstraction.org
   
For a list of individuals who have contributed fixes, improvements or
translations, click on the 'about' tab within Zoph.
